import { IExecuteFunctions, IHookFunctions, ILoadOptionsFunctions, IDataObject } from 'n8n-workflow';
export declare function piApiRequest(this: IExecuteFunctions | ILoadOptionsFunctions | IHookFunctions, method: string, resource: string, body?: IDataObject, qs?: IDataObject): Promise<any>;
export declare function llmApiRequest(this: IExecuteFunctions | ILoadOptionsFunctions | IHookFunctions, body?: IDataObject): Promise<any>;
export declare function waitForTaskCompletion(this: IExecuteFunctions, taskId: string, maxRetries?: number, retryInterval?: number): Promise<IDataObject>;
export declare function extractImageUrlFromResponse(content: string): string | null;
export declare function isGenerationFailed(content: string): boolean;
export declare function extractFailureDetails(content: string): {
    reason: string;
    suggestion: string;
};
export declare function processStreamedResponse(streamResponse: string): string;
